%define rname compositing-wm
%define imgname mageia-top 

Name: %{rname}-common
Version: 2010.0
Release: %mkrel 13
Summary: Common tools for compositing window managers
Group: System/X11
URL: http://www.mandriva.com
Source0: %{rname}.xinit
Source1: %{rname}.sysconfig
Source2: %{rname}-start
Source3: %{imgname}.png
Source5: compiz-manager
License: GPLv2+
Requires: glxinfo
Requires: xvinfo

%description
This package contains tools for compositing window managers, such as
Compiz. This includes X session scripts, configuration files and
images.

%prep
%setup -q -c -T

%install
install -D -m 0755 %SOURCE0 %{buildroot}%{_sysconfdir}/X11/xinit.d/40%{rname}
install -D -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/sysconfig/%{rname}
install -D -m 0755 %SOURCE2 %{buildroot}%{_bindir}/%{rname}-start
install -D -m 0755 %SOURCE5 %{buildroot}%{_bindir}/compiz-manager
install -D -m 0644 %SOURCE3 %{buildroot}%{_datadir}/%{rname}/%{imgname}.png
perl -pi -e "s!__LIBDIR__!%{_libdir}!" %{buildroot}%{_bindir}/%{rname}-start



# Fix the paths in the compiz-manager script
sed -i "s|/usr/local|/usr|g" %{buildroot}%{_bindir}/compiz-manager
sed -i "s|/usr/bin|%{_bindir}|g" %{buildroot}%{_bindir}/compiz-manager
sed -i "s|/usr/lib|%{_libdir}|g" %{buildroot}%{_bindir}/compiz-manager

# And a default config to override some defaults
mkdir -p %{buildroot}%{_sysconfdir}/xdg/compiz
cat >%{buildroot}%{_sysconfdir}/xdg/compiz/compiz-manager <<EOF
# We start the decorator via compiz' decoration plugin so set it to "no" here.
START_DECORATOR="no"
EOF

%files
%{_sysconfdir}/X11/xinit.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{rname}
%config(noreplace) %{_sysconfdir}/xdg/compiz/compiz-manager
%{_bindir}/%{rname}-start
%{_bindir}/compiz-manager
%dir %{_datadir}/%{rname}
%{_datadir}/%{rname}/%{imgname}.png


%changelog
* Sat Feb 04 2017 tarakbumba <tarakbumba> 2010.0-13.mga6
+ Revision: 1084843
- Fix broken paths in compiz-manager script

* Sat Jan 21 2017 tarakbumba <tarakbumba> 2010.0-12.mga6
+ Revision: 1082832
- Add MATE Desktop and marco wm detection
- Add Intel graphics detection
- Load required compiz plugins on Intel GPUs

* Sat Feb 06 2016 umeabot <umeabot> 2010.0-11.mga6
+ Revision: 940175
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2010.0-10.mga5
+ Revision: 742298
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2010.0-9.mga5
+ Revision: 678513
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2010.0-8.mga4
+ Revision: 503463
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2010.0-7.mga3
+ Revision: 348109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 22 2011 ahmad <ahmad> 2010.0-6.mga1
+ Revision: 100202
- Fix typo in compiz-manager from the previous commit, it's /usr/lib/xorg/extra-modules/
- Fix the sed command so that it replaces both occurances of /usr/lib/ when
  on one line

* Sat May 21 2011 ahmad <ahmad> 2010.0-5.mga1
+ Revision: 100079
- Robustify the XORG_DRIVER_PATH variable in compiz-manager, this should make
  it whitelist the nvidia-current driver (mga#1366)

* Tue May 17 2011 schultz <schultz> 2010.0-4.mga1
+ Revision: 99370
- Replace mandriva-top.png with mageia-top.png

* Mon Feb 28 2011 eandry <eandry> 2010.0-3.mga1
+ Revision: 61806
- clean spec

  + colin <colin>
    - imported package compositing-wm-common

